Skip to content
GET/api/{version}/objects/documents/{doc_id}/file
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
NameDescription
lockDocumentSet to true to Check Out this document before retrieval. If omitted, defaults to false.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/objects/documents/534/file?lockDocument=false > file
Content-Type: application/octet-stream;charset=UTF-8 Content-Disposition: attachment;filename="CholeCap-Presentation.pptx"

On SUCCESS, Vault retrieves the latest version of the source file from the document. The HTTP Response Header Content-Type is set to application/octet-stream. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file. Note that for most downloads (larger file sizes), the Transfer-Encoding method is set to chunked and the Content-Length is not displayed.